Welcome to the Help system for the SharePoint Products and Technologies Configuration Wizard

In this Help system:

  • Welcome to the SharePoint Products and Technologies Configuration Wizard
  • How to: configure proxy server settings
  • How to: enable Internet Information Services
  • How to: repair SharePoint Products and Technologies
  • How to: verify ASP.NET version
  • How to: verify Windows Workflow Foundation version
  • Connect to a server farm
  • Specify configuration database settings
  • Configure the SharePoint Central Administration Web application
  • Confirm settings
  • Advanced settings
  • Configuring SharePoint Products and Technologies
  • Configuration complete
  • Remove the SharePoint Central Administration Web site
  • Modify server farm settings
  • Replace default SharePoint site
  • Configuration failure during removal
  • Command-line reference for the SharePoint Products and Technologies Configuration wizard


Configure the SharePoint Central Administration Web application

You can configure the SharePoint Central Administration Web application and security settings.

Port number

The SharePoint Central Administration Web application enables you to manage the configuration settings for your SharePoint server farm. The first server that you add to your server farm hosts this Web site. If you need to specify a port number, you can use any number from 1 to 65535, although we recommend that you avoid using a number from the range of well-known ports.

Port numbers fall into the following three ranges:

  • Well-known ports are from 0 to 1023.
  • Registered ports are from 1024 to 49151.
  • Dynamic or private ports are from 49152 to 65535.

If you need to change the port number at a later time, you must run the SharePoint Products and Technologies Configuration Wizard again. The configuration wizard will update the port number in the configuration database and create a job that will update the port number in each SharePoint Central Administration Web application on other servers in this farm.

Note Manually changing the port number of the SharePoint Central Administration Web application in Internet Information Services (IIS) Manager is not supported. Instead, you must run the configuration wizard again.

Security Settings

Both NTLM and Kerberos authentication protocols are supported.

NTLM

The default setting, NTLM protocol, is based on a challenge-response mechanism for client authentication. NTLM is available in SharePoint Products and Technologies to communicate with systems that are able to use only NTLM authentication.

Negotiate (Kerberos)

The Kerberos version 5 protocol is the primary security protocol for authentication within a domain. Kerberos authentication uses a service ticket system that verifies the identity of the user and of the network services. This dual verification is known as mutual authentication. The system attempts to negotiate authentication over the Kerberos protocol first, but if it is not successful, the NTLM protocol is used.

To enable Kerberos authentication, you must perform additional configuration. For more information, see Kerberos Authentication in Windows Server 2003.


Remove the SharePoint Central Administration Web site

The SharePoint Central Administration Web site enables you to perform administrative tasks either locally or remotely. There must be at least one SharePoint Central Administration Web site in each server farm.

You can use the options on this page to keep or remove the SharePoint Central Administration Web site.


Configuration complete

When the SharePoint Products and Technologies Configuration Wizard completes all of the required configuration tasks, SharePoint Central Administration is available for you to use to configure your Web site.

Configuration Successful

When the necessary configuration tasks are successfully completed, if you are performing a Basic installation, you can click Finish to close the configuration wizard. The home page for the default Web site opens.

If you are performing an Advanced installation or upgrade, the configuration settings you entered are displayed, and then you can click Finish to close the configuration wizard. SharePoint Central Administration is opened.

If you are performing a repair, click Close to exit the configuration wizard.

Note If you are using Microsoft Internet Explorer and have not modified the default settings, Enhanced Security will be enabled. When the configuration wizard starts Internet Explorer, a pop-up appears that prompts you to add the site to the list of trusted sites.

Configuration Failure

If there was an error in one or more configuration tasks, events are written to the event log and to the installation log. To enable you to diagnose the problem, detailed information about the configuration task that was running when the configuration wizard failed, any specific error messages, and a link to the log are displayed.

Note If the failure occurred during the removal process, you can find more information in Configuration failure during removal.


Modify server farm settings

You can use the options on this page to modify the server farm settings. The name of the server that is hosting the configuration database and the name of the configuration database are displayed.

If you want to disconnect this computer from this server farm, select Disconnect from this server farm, and then click Next. When the configuration wizard completes, this computer will no longer host the SharePoint Central Administration Web site and will immediately be removed from the SharePoint server farm.

You can run the configuration wizard later to join the computer to another server farm.


Configuring SharePoint Products and Technologies

The SharePoint Products and Technologies Configuration Wizard performs the following configuration tasks:

  • Configure database access. In a Basic installation, an embedded database engine is installed and configured.
  • Install and configure features and services.
  • Configure security.
  • Create sample data.

Note There is no time limit within which each configuration task must complete.

If the configuration wizard encounters an error while executing a configuration task, the wizard does not perform any additional configuration tasks. The Configuration Complete screen appears with a configuration failure message and a link to the log file that you can use to troubleshoot the issue that caused the failure.

If you cancel the configuration wizard, the configuration tasks that have completed are not rolled back; the remaining configuration tasks must be performed to complete the deployment of the server. To perform the remaining configuration tasks, you must run the configuration wizard again later.

Running the pre-upgrade scan tool

If you are performing an upgrade, you must first use the pre-upgrade scan tool to scan your sites. If you have not run this tool and you attempt to run the SharePoint Products and Technologies configuration wizard, the configuration wizard will exit and prompt you to run the tool.

Note You must be a member of the Administrators group on the local computer to run this tool.

  1. On the command line, change to the following folder on your hard disk: c:\program files\common files\microsoft shared\web server extensions\12\bin, and then run the following command to scan all servers in your server farm:
    prescan.exe /all

    Running the tool can take several minutes or a few hours depending on the amount of content in your environment.

  2. After the scan has completed, a summary report is displayed in the command-line window.

Upgrading a server farm

If you are upgrading a server farm, you must use the following process:

  1. Run Setup, and then run the SharePoint Products and Technologies Configuration Wizard on the first front-end Web server in your farm.
  2. When you see the message about running Setup on other servers in the farm, you must run Setup and the SharePoint Products and Technologies Configuration Wizard on the other servers to get to the same point.
  3. When all servers in the farm display the message, return to the first Web server, and then click OK to continue the upgrade process for the first server.
  4. After the wizard has completed on the first server, you can configure each of the other servers.

For more information about upgrading a server farm, see Upgrade and Migration Guide.

Security account requirements

To deploy SharePoint Products and Technologies in a server farm environment, you will need a user account that you can use to install the product or technology and run the SharePoint Products and Technologies Configuration Wizard. This account must be a unique domain user account that you can specify as the Windows SharePoint Services version 3 service account. This user account is used to access your configuration database. The database access account will be used for both initial database configuration, and ongoing connections from servers in this farm to the databases.

Important Ensure that your domain does not have group policy that prohibits the account chosen as your database access account from running as a service.

This account also acts as the application pool identity for the SharePoint Central Administration application pool and it is the account under which the Windows SharePoint Services Timer service runs. We recommend that you follow the principle of least privilege and do not make this user account a member of any particular security group on your front-end servers or your back-end servers.


How to: repair SharePoint Products and Technologies

Use this procedure to start the SharePoint Products and Technologies Configuration Wizard in Repair mode.

  1. Click Start, click Control Panel, and then click Add or Remove Programs.
  2. Select the SharePoint Product and Technology installation you want to repair, and then click Change.
  3. In the Setup Wizard, select Repair, and then click Continue. A binary file validation is performed.
  4. On the final Setup Wizard screen, select Run the SharePoint Products and Technologies Configuration Wizard now, and then click Close.
  5. The SharePoint Products and Technologies Configuration Wizard is automatically called in Repair mode, detects missing components, and then determines the installation mode that was originally selected.
  6. If the installation was a multi-server deployment, you will be prompted for application pool credentials.
  7. Provide the credentials for the Run-as account for the application pool.
  8. The configuration wizard verifies prerequisites and executes tasks required to repair the configuration.


Configuration failure during removal

When you choose Remove from Add or Remove Programs, the Setup Wizard starts, and then it calls the SharePoint Products and Technologies Configuration Wizard in silent mode. If the configuration wizard does not encounter any errors, no screens are displayed. If an error is encountered, the failure code will be returned to the Setup Wizard and the configuration wizard will display the Configuration Failed screen.

The Configuration Failed screen provides information about the failure and a link to the log file. To determine the source of the failure, you can review the log file for error messages. After you understand why the error occurred, you can address the issue and then you can choose to either stop the uninstall process, address the problem, and then run Remove again, or you can continue the uninstall process.

If you exit Setup when an error is encountered, the binary files will not be removed. However, tasks that were successfully completed will not be rolled back. This approach will enable you to restore the server to working condition by running the configuration wizard in Repair mode.

If you choose to continue with the uninstall process, the binary files will be removed. The resulting state of the computer will depend on when the configuration wizard failed. For example, the computer might still:

  • Be joined to the server farm.
  • Be registered in configuration database and the connection string on the local computer could exist.
  • Have services running.

With the binary files removed, you will not be able to use the configuration wizard to clean up the configuration settings on the local computer or in the configuration database.


Welcome to the SharePoint Products and Technologies Configuration Wizard

The SharePoint Products and Technologies Configuration Wizard performs basic tasks that require minimal user input and that must be performed to start SharePoint Central Administration, or that cannot be performed anywhere else.

In addition to using the configuration wizard to perform the initial configuration, you can use the configuration wizard at any time to perform the following:

  • Identify missing components.
  • Validate your configuration.
  • Identify, repair, or reset security and low-level configuration settings.

The configuration wizard might have to start, stop, or reset the SharePoint Administration Service, the SharePoint Timer Service, Internet Information Services (IIS), and services from other applications that depend on Windows SharePoint Services and are appropriately registered.

If you do not want to interrupt server operations, click No to exit the configuration wizard.

Note You must successfully complete the configuration wizard before the server deployment is finished and you can access SharePoint Central Administration to configure your site.

After the configuration wizard completes, the services that are required to run Central Administration are enabled. Then, you must use Central Administration to configure your site.

Pre-operation conditions

Before you can install, configure, or operate the server, the following conditions must be met:

  • Windows Server 2003 with Service Pack 1 or later is installed, and you must be a member of the Administrators group.
  • Microsoft Internet Information Services (IIS) 6.0 is enabled and configured. For more information, see How to: enable Internet Information Services.
  • The correct version of the Microsoft .NET Framework 2.0 is installed. For more information, see How to: verify ASP.NET version.
  • The correct version of the Windows Workflow Foundation is installed. For more information, see How to: verify Windows Workflow Foundation version.
  • If you are installing SharePoint Products and Technologies in a configuration other than a single server, Microsoft SQL Server 2000 SP3 or later or SQL Server 2005 must be available either on the same computer or a separate computer in the server farm.
  • To deploy SharePoint Products and Technologies in a server farm environment, you will need a user account that you can use to install the product or technology and run the SharePoint Products and Technologies Configuration Wizard. This account must be a unique domain user account that you can specify as the Windows SharePoint Services version 3 service account. This user account is used to access your configuration database. The database access account will be used for both initial database configuration, and ongoing connections from servers in this farm to the databases.

    Important Ensure that your domain does not have group policy that prohibits the account chosen as your database access account from running as a service.

    This account also acts as the application pool identity for the SharePoint Central Administration application pool and it is the account under which the Windows SharePoint Services Timer service runs. We recommend that you follow the principle of least privilege and do not make this user account a member of any particular security group on your front-end servers or your back-end servers.

Basic

Deploying SharePoint Products and Technologies in a single server environment will install all of the components and features on a single computer by using default settings. The configuration wizard does not prompt you for any configuration settings or credentials. Instead, the configuration wizard uses default values to create the Web application, core services, and standard security groups that are required to start Central Administration.

The configuration wizard uses the default settings if you selected one of the following options in the Setup Wizard:

  • Basic
  • Advanced, then Stand-alone
  • Repair
  • Upgrade

    Note If you selected Upgrade in the Setup Wizard, a single server stand-alone installation is performed by using the default settings.

Advanced

When you select the Advanced option in the Setup Wizard, the configuration wizard enables you to install into a server farm, use an existing database, deploy a new, or connect to an existing server farm. You can create new databases or use existing databases. In your server farm one or more computers can be Web servers, and another computer can provide database services through Microsoft SQL Server.

The configuration wizard will prompt you for the credentials that are required to create the core elements such as creating the Central Administration Web application and creating the new configuration database.

Repair

You can use Repair to overwrite changed or damaged files and registry settings.

For example, you can use Repair if you can not start Central Administration in a farm that was working. This can happen if the IIS administration Web application has been accidentally deleted.

When you repair an installation, the files that were installed are verified, missing components are detected, and then the configuration is repaired.

For information, see How to: repair SharePoint Products and Technologies.

Upgrade

You can upgrade to the latest version of SharePoint Products and Technologies.

Running the pre-upgrade scan tool

If you are performing an upgrade, you must first use the pre-upgrade scan tool to scan your sites. If you have not run this tool and you attempt to run the SharePoint Products and Technologies configuration wizard, the configuration wizard will exit and prompt you to run the tool.

Note You must be a member of the Administrators group on the local computer to run this tool.

  1. On the command line, change to the following folder on your hard disk: c:\program files\common files\microsoft shared\web server extensions\12\bin, and then run the following command to scan all servers in your server farm:
    prescan.exe /all

    Running the tool can take several minutes or a few hours depending on the amount of content in your environment.

  2. After the scan has completed, a summary report is displayed in the command-line window.

Upgrading a server farm

If you are upgrading a server farm, you must use the following process:

  1. Run Setup, and then run the SharePoint Products and Technologies Configuration Wizard on the first front-end Web server in your farm.
  2. When you see the message about running Setup on other servers in the farm, you must run Setup and the SharePoint Products and Technologies Configuration Wizard on the other servers to get to the same point.
  3. When all servers in the farm display the message, return to the first Web server, and then click OK to continue the upgrade process for the first server.
  4. After the wizard has completed on the first server, you can configure each of the other servers.

For more information about upgrading a server farm, see Upgrade and Migration Guide.


Connect to a server farm

You can create a new server farm or manage the connection to an existing SharePoint server farm. You must provide the database server name, the database name, and the credentials for a user account that will be used for database access.

All the servers in the farm must use the same configuration database. If the database does not exist, a new database will be created. If the database name is the same as an existing database, the database must not contain any tables, stored procedures, or other objects.

Enter the credentials for the user account that SharePoint Products and Technologies will use for database connectivity. If the configuration database is hosted on a different computer, the account must be a domain account.

You can select one of the following options:

  • Do not modify these settings
  • Create a new server farm
  • Connect to an existing server farm
  • Disconnect from this server farm

Note All of these options might not appear in your installation. The options that are displayed depend on the configuration and state of your server farm.

The configuration wizard checks for an existing connection to a configuration database. If a connection does not exist, a new server farm is created. If a connection exists, settings are not modified.

When you manage the database connection to an existing server farm, the configuration wizard ensures that one or more SharePoint Central Administration Web applications exist in the server farm and are registered in the configuration database. This is designed to prevent a situation where a server farm exists but a SharePoint Central Administration Web application is not installed to manage the installation.

If you select Disconnect from this server farm, the configuration wizard removes the server from the farm and then updates SharePoint Central Administration for the farm.

If the computer you are disconnecting has a SharePoint Central Administration Web application, it is removed, and the entry in the configuration database is removed.


How to: enable Internet Information Services

This procedure enables and configures Internet Information Services (IIS) 6.0 worker process isolation mode. The procedure applies to Windows Server 2003.

  1. Click Start, click All Programs, click Administrative Tools, and then click Manage Your Server.
  2. On the Manage Your Server page, click Add or remove a role.
  3. In the Preliminary Steps pane, click Next.
  4. In the Server Role pane, click Application server (IIS, ASP.NET), and then click Next.
  5. In the Application Server Options pane, select the Enable ASP.NET check box, and then click Next.
  6. In the Summary of Selections pane, click Next.

    7. The wizard installs IIS. This can take several minutes to complete.

  7. Click Finish.

You can verify that IIS is properly configured by doing the following:

Click Start, click Administrative Tools, and then click Internet Information Services (IIS) Manager.

Note If IIS is properly installed, the Internet Information Services (IIS) Manager window will open.


How to: configure proxy server settings

Use this procedure to configure the network proxy settings.

  1. Click Start, click Control Panel, and then click Internet Options.
  2. In the Internet Properties dialog box, click the Connections tab.
  3. Click LAN Settings.
  4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
  5. In the Proxy server section, do the following:
    1. Select the Use a proxy server for your LAN check box.
    2. In the Address box, type the name of your proxy server.
    3. In the Port box, type the port number of your proxy server.
    4. Select the Bypass proxy server for local (intranet) addresses check box.
  6. Click OK to close the Local Area Network (LAN) Settings dialog box.
  7. Click OK to close the Internet Options dialog box.


Command-line reference for the SharePoint Products and Technologies Configuration Wizard

In SharePoint Products and Technologies, you can use the psconfig.exe command-line tool as an alternate interface to perform several operations that control how the SharePoint Products and Technologies are configured. You must be a member of the Administrators group on the local computer to perform these operations.

In this article

How to use psconfig.exe commands
Available commands and parameters

How to use psconfig.exe commands

When you run psconfig.exe from the command line, you can specify commands to control how the tool runs. To run psconfig.exe from the command line, navigate to the %WINDIR%\Program Files\Common Files\Microsoft Shared\web server extensions\12\bin folder, and then type the commands by using the following syntax:

psconfig.exe -cmd &amp;lt;command&amp;gt; [optional parameters]

The reference table in the next section contains several examples. There is also Help available from the command-line interface. To view Help, on the command line, type:

psconfig.exe -?

To get Help about a specific command, type:

psconfig.exe -help &amp;lt;command name&amp;gt;

The commands in psconfig.exe need to be run in a specific order to run successfully. If you use the SharePoint Products and Technologies Configuration Wizard to configure your installation, it calls the commands (also called configuration tasks) in the correct order for you. However, if you use the command line to run psconfig.exe, you need to be sure you are performing the tasks in the correct order. The psconfig.exe commands must be performed in the following order:

  1. configdb
  2. helpcollections
  3. secureresources
  4. services
  5. installfeatures
  6. adminvs
  7. evalprovision (only for stand-alone installations)
  8. applicationcontent

Important If psconfig.exe detects that the server farm needs to be upgraded, it will automatically start an upgrade when run (even if you did not choose the upgrade command).

You can specify all of the commands to run in a single command-line string. If you do this, then psconfig.exe runs all of the commands in the correct order. For example, on the command line, you can run a command similar to the following:

psconfig.exe –cmd configdb &amp;lt;parameters&amp;gt;
–cmd helpcollections &amp;lt;parameters&amp;gt;
–cmd secureresources &amp;lt;parameters&amp;gt;
–cmd services &amp;lt;parameters&amp;gt;
–cmd installfeatures &amp;lt;parameters&amp;gt;
–cmd adminvs &amp;lt;parameters&amp;gt;
–cmd evalprovision &amp;lt;parameters&amp;gt;
–cmd applicationcontent &amp;lt;parameters&amp;gt;

For more information about configuring your server or server farm from the command line, see the Windows SharePoint Services TechCenter.

Top of Page

Available commands and parameters

In the SharePoint Products and Technologies Configuration Wizard, the following command-line options are recognized.

Command Description, parameters, and examples
? Displays the commands available for use with psconfig.exe.

Example

psconfig.exe -?

help &amp;lt;command name&amp;gt; Displays the commands available for use with psconfig.exe. If a command name is specified, displays help for that command.

Example

psconfig.exe -help adminvs

adminvs Manages the SharePoint Central Administration Web application on the local computer. Takes the following optional parameters:

[-provision]

Provisions the SharePoint Central Administration Web application on this server. Provisioning creates a new SharePoint Central Administration Web application and an application pool running under the server farm administrator's account.

[-unprovision]

Unprovisions the SharePoint Central Administration Web application from this server. Unprovisioning removes the SharePoint Central Administration Web application and its application pool.

[-port &amp;lt;port number&amp;gt;]

The SharePoint Central Administration Web application port is a global setting to the server farm. When changing the port, a SharePoint Timer service job is dispatched to synchronize the port for all SharePoint Central Administration Web applications in the server farm. If a port is not specified, the port used for existing SharePoint Central Administration Web applications in the server farm is used. If a SharePoint Central Administration web Application has not been provisioned in the server farm, the default port chosen will be random if a port is not specified.

[-windowsauthprovider &amp;lt;enablekerberos | onlyusentlm&amp;gt;]

The SharePoint Central Administration Web application authentication provider is a global setting to the server farm. When changing the authentication provider, a SharePoint Timer service job will be dispatched to synchronize the provider on all SharePoint Central Administration Web aApplications in the server farm. If onlyusentlm is specified, NTLM will be the exclusive authentication provider for all SharePoint Central Administration Web applications. All other authentication providers are disabled and NTLM will be the only authentication provider allowed. If enablekerberos is specified, Kerberos authentication is enabled for all SharePoint Central Administration Web applications. If an authentication provider is not specified, the provider used for existing SharePoint Central Administration Web applications in the server farm will be used. If a SharePoint Central Administration Web application has not been provisioned in the server farm, then the Kerberos authentication provider will be enabled if an authentication provider is not specified.

Examples

psconfig.exe -cmd adminvs -provision -port 8080 -windowsauthprovider onlyusentlm

psconfig.exe -cmd adminvs -unprovision

applicationcontent Manages shared application content. Takes the following required parameter:

-install

Copies shared application data (for example, resource files, Web application binaries) to existing Web application virtual directories.

Example

psconfig.exe -cmd applicationcontent -install

configdb Creates, connects, or disconnects this server from the server farm. Takes the following optional parameters:

[-create]

Creates a new configuration database and thus establishes a new server farm. If this server is already connected to a configuration database, the server will be disconnected first, and then the new configuration database will be created.

[-disconnect]

Disconnects this server from the configuration database and thus disconnects this server from the server farm.

[-connect]

Connects to an existing configuration database and thus joins this server to an existing server farm. If this server is already connected to a configuration database, the server will be disconnected first, and then connected to the existing configuration database.

[-server &amp;lt;SQLServerName&amp;gt;]

The computer running SQL Server where the configuration database is located.

[-database &amp;lt;SQLDatabaseName&amp;gt;]

The configuration database name.

[-dbuser &amp;lt;value&amp;gt;]

The user name used for SQL authentication.

[-dbpassword &amp;lt;value&amp;gt;]

The password used for SQL authentication.

[-user &amp;lt;Domain\User&amp;gt;]

The server farm administrator user account.

[-password &amp;lt;Password&amp;gt;]

The server farm administrator user account password.

[-addomain &amp;lt;value&amp;gt;]

The Active Directory domain name used for the server farm.

[-adorgunit &amp;lt;value&amp;gt;]

The Active Directory organization unit name used for the server farm.

[-admincontentdatabase &amp;lt;SQLAdminContentDatabaseName&amp;gt;]

The Central Administration Web application content database name.

Examples

psconfig.exe -cmd configdb -create -server Server_name -database Database_name -dbuser DOMAIN\username -dbpassword password -user DOMAIN\username -password password -addomain domain_name -adorgunit org_unit -admincontentdatabase Database_name

psconfig.exe -cmd configdb -disconnect

psconfig.exe -cmd configdb -connect -server Server_name -database Database_name -dbuser DOMAIN\username -dbpassword password

evalprovision Provisions this server as a stand-alone (evaluation mode) server. Takes the following required and optional parameters:

-provision

Performs stand-alone mode provisioning on this server.

[-port &amp;lt;port number&amp;gt;]

The port number assigned to the default SharePoint Web application. If not specified, then port 80 is used. If a SharePoint Web application already exists using the port, the existing site will be overwritten. If an existing site is using the port and is not a SharePoint Web application, the site will be disabled and a new SharePoint Web application will be created using the port.

[-overwrite]

Specifies whether to overwrite any existing Microsoft Windows SharePoint Services 3.0 Web site during installation. If not specified, the site is not deleted.

Example

psconfig.exe -cmd evalprovision -provision -port 1100

helpcollections Managed help collections. Takes the following required parameter:

-installall

Installs all available help collections.

Example

psconfig.exe -cmd helpcollections -installall

installfeatures Registers any SharePoint Products and Technologies features located on the file system of this server with the server farm.

Example

psconfig.exe -cmd installfeatures

quiet Runs the SharePoint Products and Technologies Configuration Wizard in quiet mode. Output is written to to the log file named PSCONFIG.EXE_MM_DD_YY_HH_MM_SS_MS.log, where "_MM_DD_YY_HH_MM_SS_MS" is the full date and time that the utility was run. The log file is stored in the %WINDIR%\Program Files\Common Files\Microsoft Shared\web server extensions\12\LOGS directory.

Example

psconfig.exe -cmd quiet

secureresources Performs SharePoint Products and Technologies resource security enforcement on the server. For example, security is enforced on files, folders, and registry keys.

Example

psconfig.exe -cmd secureresources

services Manages SharePoint Products and Technologies services. Takes the following optional parameters:

[-install]

Registers the services in the server farm that are located on this server.

[-provision]

Provisions the services that are located on this server and sets the services as online if SharePoint Products and Technologies are installed in stand-alone mode. Provisioning services also ensures that they are registered.

Example

psconfig.exe -cmd services -install

psconfig.exe -cmd services -provision

setup Performs configuration for SharePoint Products and Technologies based on the installation mode. Also repairs the configuration. If the product or technology is installed in stand-alone mode, then stand-alone configuration is done. If the product or technology is not in stand-alone mode, you must complete the initial configuration by using the SharePoint Products and Technologies Configuration Wizard instead of the psconfig.exe command-line utility. To run the wizard, on the Start menu, point to All Programs, point to Administrative Tools, and then click SharePoint Products and Technologies Configuration Wizard.

If you want to repair a stand-alone installation, first run setup /repair (for more information, see the Setup Help system), and then psconfig.exe -setup. For server farm installations, after running setup /repair, use the SharePoint Products and Technologies Configuration Wizard instead of the psconfig.exe command-line utility.

Takes the following optional parameter:

[-lcid &amp;lt;1033&amp;gt;]

The locale ID (LCID) that specifies the installation language.

Example

psconfig.exe -cmd setup

standaloneconfig Performs a stand-alone configuration for SharePoint Products and Technologies. Takes the following optional parameters:

[-lcid &amp;lt;1033&amp;gt;]

The locale ID (LCID) that specifies the installation language.

Example

psconfig.exe -cmd standaloneconfig

upgrade Performs an upgrade of SharePoint Products and Technologies. This command is automatically run when running the SharePoint Products and Technologies Configuration Wizard if the product or technology needs to be upgraded. Takes the following optional parameters:

[-wait]

If specified, the SharePoint Products and Technologies Configuration Wizard does not return until upgrade completes. If not specified, the wizard returns after dispatching a SharePoint Timer Service job to perform upgrade. To view the upgrade job status, you can access the SharePoint Central Administration Web application by using your Web browser.

[-force]

If specified, the SharePoint Products and Technologies Configuration Wizard stops any currently running upgrade actions, and then restarts upgrade.

[-reghostonupgrade]

If specified, the SharePoint Products and Technologies Configuration Wizard will reset all content to the site definition version during the upgrade.

[-finalize]

If specified, the SharePoint Products and Technologies Configuration Wizard will finalize the current upgrade. Perform this action only when you have successfully upgraded all sites and no longer need a connection to the previous version. You will not be able to undo this action.

[-inplace &amp;lt;v2v|b2b&amp;gt;]

If specified, the SharePoint Products and Technologies Configuration Wizard will perform an in-place upgrade. If v2v is specified, then an in-place version to version upgrade is performed. If b2b is specified, then an in-place build to build upgrade is performed.

[-sidebyside]

If specified, the SharePoint Products and Technologies Configuration Wizard will perform a gradual upgrade.

Examples

psconfig.exe -cmd upgrade -inplace v2v -wait

psconfig.exe -cmd upgrade -sidebyside -reghostonupgrade

psconfig.exe -cmd upgrade -finalize


Specify configuration database settings

The configuration database is used to store configuration and site-mapping information for your server farm. There must be one configuration database for your server farm whether your server farm is one computer with everything on it, or several computers.

Database Settings

You must provide connectivity settings to an existing database server through an existing user account.

Database server

You must type the name for the computer running Microsoft SQL Server 2000 SP3 or later or SQL Server 2005. You can type the name of the computer running SQL Server as either server or server\instance.

Database name

If you are creating a new configuration database, you can either type the name of the database for the configuration wizard to create, or you can type the name of a database that has been provisioned in advance. If an existing database is used, it must not contain any tables, stored procedures, or other objects.

If you are connecting to an existing configuration database, you can click Retrieve Database Names. The configuration databases that exist on the computer running SQL Server will be returned, and you can choose the appropriate configuration database.

Database access account

You must enter the credentials for an existing user account that will always be used to connect to the configuration database. If the configuration database is hosted on a different computer, you must provide the credentials for a domain account.

Although you can enter either a local or a domain account in installations in which you are using a SQL Server installation, only a local account will work for single server deployments. We recommend that you use a domain account so that you preserve the flexibility to scale up by adding computers to the farm.

To deploy SharePoint Products and Technologies in a server farm environment, you will need a unique domain user account that you can specify as the Windows SharePoint Services version 3 service account. This user account is used to access the configuration database. The database access account will be used for both initial database configuration, and ongoing connections from servers in this farm to the databases.

Important Ensure that your domain does not have group policy that prohibits the account chosen as your database access account from running as a service.

This account also acts as the application pool identity for the SharePoint Central Administration application pool and it is the account under which the Windows SharePoint Services Timer service runs. The SharePoint Products and Technologies Configuration Wizard adds this account to the SQL Server Logins, the SQL Server Database Creator server role, and the SQL Server Security Administrators server role. We recommend that you follow the principle of least privilege and do not make this user account a member of any particular security group on your front-end servers or your back-end servers.

The database access account must have the following permissions: security administrator, database creator, and database owner (DBO) of all databases. Permissions for this account must be configured in SQL Server; the configuration wizard does not perform this configuration.

The account that you specify for database access must have, at minimum:

  • The ability to read from and write to the configuration database.
  • Server-wide permissions (security administrator) in SQL Server.
  • During creation and adding schema, the account must have DBO permissions.

Additionally, if the configuration wizard is creating a new configuration database, the database access account must have the following permissions:

  • Create Database
  • Create Procedure

Tasks

The tasks that are executed to create the configuration database are:

  1. Validate that SQL Server meets minimum requirements.
  2. Either create a new database or connect to an existing blank database.
  3. Add database schema to a new configuration database.
  4. Add current server to the topology.
  5. Add database access account credentials to the configuration database.
  6. Write database connection string to the registry on the local computer.

The tasks that are executed to disconnect from a configuration database are:

  1. Remove the configuration database connection string.
  2. Stop the job/task scheduling NT service running on the local computer.
  3. Remove computer-specific data from the old configuration database.


Advanced settings

To create new unique user accounts automatically by using the Active Directory directory service, you must enable Active Directory account creation mode.

Because at least one Central Administration Web application is required for each server farm, in the first server in the server farm, the Central Administration Web application is automatically installed and only one set of fields, for the Active Directory domain and the Active Directory organizational unit, are presented. When you run the configuration wizard on other servers in the farm, you will see the option on this screen to create the Central Administration Web application.

If you want to create a load-balanced URL for Central Administration or to provide redundancy, you can create more than one Central Administration Web site. However, in most installations this is unnecessary.

To enable Active Directory account creation mode
  1. On the Advanced Settings page, select Enable Active Directory Account Creation Mode.
  2. In Active Directory Domain, type your domain name.
  3. In Active Directory Organizational Unit, type your SharePoint organizational unit.
  4. To return to the Completing the SharePoint Products and Technologies Configuration Wizard page, click OK.

Warning If you enable this option, you might not be able to upgrade from Windows SharePoint Services to other products based on SharePoint Products and Technologies. If you have trouble installing products based on SharePoint Products and Technologies on this computer, run the SharePoint Products and Technologies Configuration Wizard again to clear this option.


Confirm settings

Use the Completing the SharePoint Products and Technologies Configuration Wizard page to confirm the database and Central Administration Web application settings you have entered.

Confirm that the settings are correct, and then click Next to continue.

Click Advanced Settings to enable Active Directory account creation mode. For more information, see Advanced Settings.


Replace default SharePoint site

When you perform a Basic installation or an Upgrade and an existing SharePoint product or technology is already installed, a default SharePoint site might already exist on port 80.

If you are certain that the existing default SharePoint Web site is not required, you can disable the existing site and create a new one on port 80, or you can choose a different port on which to host the new site.


How to: verify ASP.NET version

ASP.NET version 2.0 must be installed. This version ships with Windows Server 2003 R2 and later. If you have a version of Windows Server 2003 that is earlier than R2, you might need to download ASP.NET version 2.0. You can determine if you have the current version of ASP.NET by doing the following:

  1. Click Start, click Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. In the Internet Information Services (IIS) Manager window, click the plus sign (+) next to the server name.
  3. Click Web Service Extensions. ASP.NET v2.0 should be listed in the Web Service Extensions pane. If ASP.NET v2.0 is:
    1. Not listed, you must install it.
    2. Installed, but the status is not set to Allowed, set the status to Allowed.


How to: verify Windows Workflow Foundation version

The latest version of Windows Workflow Foundation must be installed on your computer. If you have installed Windows Workflow Foundation, you can use the following procedure to verify the installed version.

  1. Click Start, click Control Panel, and then click Add or Remove Programs.
  2. In Add or Remove Programs, click Windows Workflow Foundation, and then click Click here for support information.
  3. In the Support Info dialog box, verify that the version is 3.0.3807.7 or later.
  4. Click Close, and then exit Add or Remove Programs.

If Windows Workflow Foundation is not installed, download the latest version. For more information or to download Windows Workflow Foundation, go to the Windows Workflow Foundation Web site.